.\"	$NetBSD: slattach.8,v 1.27 2003/08/07 10:04:40 agc Exp $
.\"
.\" Copyright (c) 1986, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)slattach.8	8.2 (Berkeley) 4/1/94
.\"
.Dd July 8, 2006
.Dt SLATTACH 8
.Os
.Sh NAME
.Nm slattach
.Nd attach serial lines as network interfaces
.Sh SYNOPSIS
.Nm
.Op Fl Hhlmn
.Op Fl s Ar baudrate
.Op Fl t Ar ldisc
.Ar ttyname
.Sh DESCRIPTION
.Nm
is used to assign a tty line to a network interface which uses asynchronous
serial lines.
.Pp
Currently the
.Nm
command is used to attach
.Xr sl 4
or
.Xr strip 4
interfaces.
These interfaces have to be created using the
.Xr ifconfig 8
.Cm create
subcommand before the
.Nm
command.
The network source and destination addresses and other interface parameters
are configured via
.Xr ifconfig 8 .
.Pp
The following operands are supported by
.Nm :
.Bl -tag -width Ar
.It Fl H
Turn on DTR/CTS flow control.
By default, no flow control is done.
.It Fl h
Turn on RTS/CTS flow control.
By default, no flow control is done.
.It Fl l
Turn on the CLOCAL flag, making it possible to run SLIP on a cable
without modem control signals (e.g. DTR, DSR, DCD).
.It Fl m
Maintain modem control signals after closing the line.
Specifically, this disables HUPCL.
.It Fl n
Don't detach from invoking tty.
.It Fl s Ar baudrate
Specifies the speed of the connection.
If not specified, the default of 9600 is used.
.It Fl t Ar ldisc
Specifies the line discipline to use for the tty.
Supported line disciplines are
.Dq slip
(creates a
.Xr sl 4
instance) and
.Dq strip
(creates a
.Xr strip 4
instance).
If this option is not specified, the default is
.Dq slip .
.It Ar ttyname
Specifies the name of the tty device.
.Ar ttyname
should be a string of the form
.Ql ttyXX ,
or
.Ql /dev/ttyXX .
.El
.Pp
Only the super-user may attach a network interface.
.Pp
To detach the interface, use
.Dq Li ifconfig interface-name down
after killing off the
.Nm
process.
.Ar Interface-name
is the name that is shown by
.Xr netstat 1 .
.Sh EXAMPLES
.Bd -literal -offset indent -compact
slattach ttyh8
slattach \-s 4800 /dev/tty01
.Ed
.Sh DIAGNOSTICS
Messages indicating that the specified interface is not configured or created,
the requested address is unknown, or that the user is not privileged
but tried to alter an interface's configuration.
.Sh SEE ALSO
.Xr netstat 1 ,
.Xr daemon 3 ,
.Xr netintro 4 ,
.Xr sl 4 ,
.Xr strip 4 ,
.Xr ifconfig 8 ,
.Xr rc 8 ,
.Xr sliplogin 8 ,
.Xr slstats 8
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.3 .
.Sh BUGS
There is no way to specify the interface name (sl%d etc.) to be attached by the
.Nm
command.
There is no way to see which interface is assigned to the specified tty by the
.Nm
command, either.
.Pp
It would be better if the network interfaces were created by the
.Nm
command rather than by using the
.Xr ifconfig 8
.Cm create
subcommand before the
.Nm
command.
